Developer Docs
OVERVIEW
RCS
SMS / 2Way SMS API
Number Intelligence
Balance
Contacts
Senders
Lists
Stoplists
Statistics
Request a list of existing files
To get a list of existing files, make request to this URL:
| GET https://api.bsg.world/rest/stat/list |
if the request is successful, you will receive a response:
{
"error": 0,
"result": [
{
"key": "a109e294d15ffc69",
"request": {
"message_ids": [
"1436307109",
"1436307110"
],
"user_id": "4310"
},
"status": "Done"
},
{
"key": "a109e294d160003",
"request": {
"message_ids": [
"1433287051"
],
"user_id": "1231"
},
"status": "Error"
},
{
"key": "a109e294d15ffc66",
"request": {
"originator": "null",
"source_type": "null",
"message_type": "viber",
"time_in_from": "2021-01-01 00:28:45",
"time_in_to": "2021-01-11 17:28:45",
"user_id": "1231"
},
"status": "Done"
}
]
}
List of possible errors
- INVALID MESSAGE ID = 80;
- INVALID MESSAGE TYPE = 81;
- INVALID SOURCE TYPE = 82;
- INVALID STATUS = 83;
- INVALID COUNTRY ID = 84;
- INVALID CLICKS COMP = 85;
- INVALID TIME FRAME = 86;
- INVALID MSISDN = 87;
- FILE NOT FOUND = 90;
- FILE NOT READY = 91;
- MAX FILES REACHED = 92;
- FILE IS EMPTY = 93;
Interested in a special offer?
Ready to reach further?
Let’s talk
Submit